Subject: bug#58497: closed (Re: bug#58497: opam import doesn't work with ocaml_intrinsics among others)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Oct 2023 21:04:02 +0000

Your bug report

#58497: opam import doesn't work with ocaml_intrinsics among others

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58497: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58497
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58497: opam import doesn't work with ocaml_intrinsics among others
From: Csepp <[email-masked]>
To: Simon Tournier <[email-masked]>
Cc: Csepp <[email-masked]>, [email-masked]
Date: Thu, 12 Oct 2023 23:01:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon Tournier <[email-masked]> writes:

> Hi,
>
> It is about bug#58497 [1], and I cannot reproduce.  I think the reported
> bug had been fixed.  I am in favor to close.  WDYT?
>
>     1: https://issues.guix.gnu.org/issue/58497
>
> On Thu, 13 Oct 2022 at 18:07, Csepp <[email-masked]> wrote:
>
>> guix import opam ocaml_intrinsics
>> Backtrace:
>
> Using Guix 6113e05, I get:
>
> --8<---------------cut here---------------start------------->8---
> $ guix import opam ocaml_intrinsics
> (package
>   (name "ocaml-intrinsics")
>   (version "0.16.0")
>   (source no-source-information)
>   (build-system dune-build-system)
>   (propagated-inputs (list ocaml-dune-configurator))
>   (properties `((upstream-name . "ocaml_intrinsics")))
>   (home-page "https://github.com/janestreet/ocaml_intrinsics")
>   (synopsis "Intrinsics")
>   (description
>    "This package provides functions to invoke amd64 instructions (such as
> clz,popcnt,rdtsc,rdpmc) when available, or compatible software implementation on
> other targets.")
>   (license license:expat))
> --8<---------------cut here---------------end--------------->8---
>
>
> Cheers,
> simon

Yup, seems to "work" now, although that no-source-information thing is
still pretty irritating, but it happens infrequently enough to not
matter too much.

Subject: opam import doesn't work with ocaml_intrinsics among others
From: Csepp <[email-masked]>
To: Bug reports for GNU Guix <[email-masked]>
Date: Thu, 13 Oct 2022 18:07:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The error might not be the same for others, I have a slightly patched
opam->guix-package function.

guix import opam ocaml_intrinsics
Backtrace:
In ice-9/boot-9.scm:
  1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
           9 (apply-smob/0 #<thunk 7ff952d2f2e0>)
In ice-9/boot-9.scm:
    724:2  8 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
In ice-9/eval.scm:
    619:8  7 (_ #(#(#<directory (guile-user) 7ff952d34c80>)))
In guix/ui.scm:
   2263:7  6 (run-guix . _)
  2226:10  5 (run-guix-command _ . _)
In guix/scripts/import.scm:
    92:11  4 (guix-import . _)
In guix/scripts/import/opam.scm:
   105:24  3 (guix-import-opam . _)
In guix/import/opam.scm:
   385:24  2 (opam->guix-package _ #:repo _ #:version _)
In guix/import/utils.scm:
   290:27  1 (beautify-description #f _)
In unknown file:
           0 (string-trim-both #f #<undefined> #<undefined> #<undefi…>)

ERROR: In procedure string-trim-both:
In procedure string-trim-both: Wrong type argument in position 1 (expecting string): #f